Package org.silverpeas.components.mydb.model

## Class TableRow

- java.lang.Object
- - org.silverpeas.components.mydb.model.TableRow

-     public class TableRow
      extends Object

  A row in a table in a data source. A row is a tuple whose each field matches a given column of the requested table. Hence the field name in the row is the column name and its value the value in the column.
  Author:
    mmoquillon

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableRow​(Map<String,​TableFieldValue> fields)` | Constructs the table row from the specified dictionary of fields.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TableRow` | `getCopy()` |
    `List<String>` | `getFieldNames()` | Gets the name of all the fields in this table row.
    `Map<String,​TableFieldValue>` | `getFields()` | Gets all the fields of this table row.
    `TableFieldValue` | `getFieldValue​(String field)` | Gets the value of the specified field in this table row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableRow

          public TableRow​(Map<String,​TableFieldValue> fields)

      Constructs the table row from the specified dictionary of fields.
      Parameters:
        `fields` - a `Map` of `TableFieldValue` instances, each of them mapped to the name of a table's column.

  - ### Method Detail

    - #### getFieldNames

          public List<String> getFieldNames()

      Gets the name of all the fields in this table row.
      Returns:
        a list with the name of all of the fields in this table row.

    - #### getFields

          public Map<String,​TableFieldValue> getFields()

      Gets all the fields of this table row.
      Returns:
        a `Map` between a field name and its value.

    - #### getFieldValue

          public TableFieldValue getFieldValue​(String field)

      Gets the value of the specified field in this table row.
      Parameters:
        `field` - the name of the field.
      Returns:
        the value of the asked field.

    - #### getCopy

          public TableRow getCopy()